:root {
  --light-text-color: #ffffff;
  --dark-text-color: #666666;
  --darker-text-color: #464547;

  --light-background-color: #eeeeee;
  --dark-background-color: #464547;

  --header-font-family: "Oswald";
  --header-font-size: 48px;
  --header-line-height: 64px;
  --header-font-weight: 700;

  --font-family: "Source Sans Pro";
  --font-size-big: 24px;
  --font-size-medium: 18px;
  --font-size-small: 16px;
  --font-weight: 400;

  --button-background-color: #55c2d8;
}

html,
body {
  margin: 0;
  padding: 0;
}

.hero {
  background-image: url("./assets/Desktop_Backgrounds_1920x1200_6\ 3.png");
  background-size: cover;
  height: 98vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.hero .hero_block {
  text-align: center;
}

.hero h1 {
  font-family: var(--header-font-family);
  font-size: var(--header-font-size);
  line-height: var(--header-line-height);
  color: var(--light-text-color);
  font-weight: var(--header-font-weight);
}

.line_break::before {
  content: "\a";
  white-space: pre;
}

.hero p {
  font-family: var(--font-family);
  font-size: var(--font-size-big);
  color: var(--light-text-color);
  opacity: 0.7;
}

main {
  background-color: var(--light-background-color);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 5em 10em;
}

main h2 {
  text-transform: uppercase;
  font-size: var(--header-font-size);
  font-weight: var(--header-font-weight);
  line-height: var(--header-line-height);
  color: var(--darker-text-color);
  text-align: center;
}

main h3 {
  font-family: var(--font-family);
  font-size: var(--font-size-big);
  color: var(--dark-text-color);
  text-align: center;
}

main p {
  font-family: "Source Sans Pro";
  font-style: normal;
  font-weight: var(--font-weight);
  font-size: var(--font-size-small);
  line-height: 22px;
  text-align: center;
}

main button {
  text-transform: uppercase;
  background-color: var(--button-background-color);
  color: var(--light-text-color);
  border-radius: 18px;
  border: none;
  padding: 1em;
  margin: 2em;
}

.learn_more {
  background-image: url("./assets/IMG_1334_72dpi_RGB_\ 1.png");
  background-size: cover;
  height: 80vh;

  display: flex;
  justify-content: center;
  align-items: center;
}

.learn_more_block {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.learn_more h2 {
  font-family: var(--header-font-family);
  font-size: var(--header-font-size);
  font-weight: var(--header-font-weight);
  line-height: var(--header-line-height);
  color: var(--light-text-color);
  text-align: center;
  text-shadow: 2px 2px 2px var(--darker-text-color);
}

.learn_more button {
  background: none;
  border: none;
}

.learn_more button div {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 150px;
  height: 150px;
  border-radius: 50%;
  background-color: var(--button-background-color);
}

.learn_more button img {
  width: 55px;
  height: 60px;
}

.learn_more p {
  font-family: var(--font-family);
  font-size: var(--font-size-big);
  color: var(--light-text-color);
  opacity: 0.7;
  text-align: center;
}

footer {
  background-color: var(--dark-background-color);
  padding: 2em 0 3em 8em;
}

.footer_logo {
  display: inline-flex;
  flex-direction: row;
  gap: 1em;
  align-items: center;
  margin-bottom: 1em;
}

.footer_logo span {
  text-transform: uppercase;
  font-family: var(--font-family);
  font-size: var(--font-size-medium);
  font-weight: var(--font-weight);
  line-height: 16px;
  color: var(--light-text-color);
  letter-spacing: 0.2em;
}

footer address span,
footer > span {
  font-size: var(--font-size-small);
  font-weight: var(--font-weight);
  color: var(--light-text-color);
  line-height: 19px;
  opacity: 0.4;
}
